Ph: 0800 4 WPNET | Contact
Ph: 0800 4 WP NET | My WP NET | Contact

FREAK Attack — WP NET is secure

FREAK Attack — WP NET is secure
April 3, 2015 GB
FREAK Attack

I’ve posted about this on our Announcements page, but thought I’d mention it here too — all WP NET servers have been patched and tested as safe from the FREAK Attack SSL/TLS bug. We actually installed patches and tested a good couple of weeks ago, so we’ve been secure for sometime now.

The FREAK Attack affects browsers as well, so you should test all the web browsers you use.

FREAK Attack

On Tuesday, March 3, 2015, researchers announced a new SSL/TLS vulnerability called the FREAK attack. It allows an attacker to intercept HTTPS connections between vulnerable clients and servers and force them to use weakened encryption, which the attacker can break to steal or manipulate sensitive data.

You can read more about the FREAK Attack and it’s current status on the Tracking The FREAK Attack website.